Bug 1256614 - Consumed gears and actual used gears mismatch for some accounts on STG
Consumed gears and actual used gears mismatch for some accounts on STG
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
Jianwei Hou
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 02:44 EDT by Yan Du
Modified: 2015-09-08 16:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 16:14:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2015-08-25 02:44:15 EDT
Description of problem:
1. 
The account info show that consumed gears is 3, but when we check the apps in the account, there is no app in this account: 
 # rhc account -l  libra-test+free35@redhat.com -p 
Login libra-test+free35@redhat.com on stg.openshift.redhat.com
--------------------------------------------------------------
  ID:                 5481226cdbd93c3e54000155
  Plan:               Free
  Gears Used:         3
  Gears Allowed:      3
  Domains Allowed:    1
  Allowed Gear Sizes: small
  SSL Certificates:   no
  
# rhc apps -l  libra-test+free35@redhat.com -p 
No applications. Use 'rhc create-app'

2.
# rhc account -l  libra-test+free10@redhat.com  -p 
Login libra-test+free10@redhat.com on stg.openshift.redhat.com
--------------------------------------------------------------
  ID:                 54811c9fdbd93c3e540000c3
  Plan:               Free
  Gears Used:         2
  Gears Allowed:      3
  Domains Allowed:    1
  Allowed Gear Sizes: small
  SSL Certificates:   no


# rhc apps  -l  libra-test+free10@redhat.com  -p 
In order to deploy applications, you must create a domain with 'rhc setup' or 'rhc create-domain'.


Version-Release number of selected component (if applicable):
STG(devenv_stage_1177)


How reproducible:
Always

Steps to Reproduce:
1. Check the accounts on STG


Actual results:
Same as description

Expected results:
Consumed gears and actual used gears should be consistent for account
Comment 3 Abhishek Gupta 2015-08-27 14:17:25 EDT
The consumed gear mismatch has been fixed in STG.
Comment 4 Yan Du 2015-08-28 05:19:18 EDT
Test on latest STG env, issue have been fixed.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.